## org.freedesktop.NetworkManager.Device.Bluetooth org.freedesktop.NetworkManager.Device.Bluetooth — Bluetooth Device |

## Signals

    PropertiesChanged (a{sv} properties);

## Properties

    HwAddress       readable   s
    Name            readable   s
    BtCapabilities  readable   u

## Description

## Signal Details

### The "PropertiesChanged" signal

    PropertiesChanged (a{sv} properties);

DEPRECATED. Use the standard "PropertiesChanged" signal from "org.freedesktop.DBus.Properties" instead which exists since version NetworkManager 1.2.0.

`a{sv} `properties``: | A dictionary mapping property names to variant boxed values

## Property Details

### The "HwAddress" property

    HwAddress  readable   s

Bluetooth hardware address of the device.

### The "Name" property

    Name  readable   s

Bluetooth name of the device.

### The "BtCapabilities" property

    BtCapabilities  readable   u

Bluetooth capabilities of the device (either DUN or NAP).

Returns: NMBluetoothCapabilities